package it.integry.integrywmsnative.core.model;

import android.os.Parcel;
import android.os.Parcelable;

public class VtbDest extends EntityBase implements Parcelable {


    public VtbDest() {
        type = "vtb_dest";
    }

    private String codAnag;

    private String codVdes;

    private String destinatario;

    private String indirizzo;

    private String cap;

    private String citta;

    private String prov;

    private String nazione;


    protected VtbDest(Parcel in) {
        codAnag = in.readString();
        codVdes = in.readString();
        destinatario = in.readString();
        indirizzo = in.readString();
        cap = in.readString();
        citta = in.readString();
        prov = in.readString();
        nazione = in.readString();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(codAnag);
        dest.writeString(codVdes);
        dest.writeString(destinatario);
        dest.writeString(indirizzo);
        dest.writeString(cap);
        dest.writeString(citta);
        dest.writeString(prov);
        dest.writeString(nazione);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<VtbDest> CREATOR = new Creator<VtbDest>() {
        @Override
        public VtbDest createFromParcel(Parcel in) {
            return new VtbDest(in);
        }

        @Override
        public VtbDest[] newArray(int size) {
            return new VtbDest[size];
        }
    };

    public String getCodAnag() {
        return codAnag;
    }

    public VtbDest setCodAnag(String codAnag) {
        this.codAnag = codAnag;
        return this;
    }

    public String getCodVdes() {
        return codVdes;
    }

    public VtbDest setCodVdes(String codVdes) {
        this.codVdes = codVdes;
        return this;
    }

    public String getDestinatario() {
        return destinatario;
    }

    public VtbDest setDestinatario(String destinatario) {
        this.destinatario = destinatario;
        return this;
    }

    public String getIndirizzo() {
        return indirizzo;
    }

    public VtbDest setIndirizzo(String indirizzo) {
        this.indirizzo = indirizzo;
        return this;
    }

    public String getCap() {
        return cap;
    }

    public VtbDest setCap(String cap) {
        this.cap = cap;
        return this;
    }

    public String getCitta() {
        return citta;
    }

    public VtbDest setCitta(String citta) {
        this.citta = citta;
        return this;
    }

    public String getProv() {
        return prov;
    }

    public VtbDest setProv(String prov) {
        this.prov = prov;
        return this;
    }

    public String getNazione() {
        return nazione;
    }

    public VtbDest setNazione(String nazione) {
        this.nazione = nazione;
        return this;
    }
}
